package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TStkinExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TStkinExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andBillCodeIsNull() {
            addCriterion("BILL_CODE is null");
            return (Criteria) this;
        }

        public Criteria andBillCodeIsNotNull() {
            addCriterion("BILL_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andBillCodeEqualTo(String value) {
            addCriterion("BILL_CODE =", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotEqualTo(String value) {
            addCriterion("BILL_CODE <>", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeGreaterThan(String value) {
            addCriterion("BILL_CODE >", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeGreaterThanOrEqualTo(String value) {
            addCriterion("BILL_CODE >=", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeLessThan(String value) {
            addCriterion("BILL_CODE <", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeLessThanOrEqualTo(String value) {
            addCriterion("BILL_CODE <=", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeLike(String value) {
            addCriterion("BILL_CODE like", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotLike(String value) {
            addCriterion("BILL_CODE not like", value, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeIn(List<String> values) {
            addCriterion("BILL_CODE in", values, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotIn(List<String> values) {
            addCriterion("BILL_CODE not in", values, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeBetween(String value1, String value2) {
            addCriterion("BILL_CODE between", value1, value2, "billCode");
            return (Criteria) this;
        }

        public Criteria andBillCodeNotBetween(String value1, String value2) {
            addCriterion("BILL_CODE not between", value1, value2, "billCode");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexIsNull() {
            addCriterion("DAY_BILLY_INDEX is null");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexIsNotNull() {
            addCriterion("DAY_BILLY_INDEX is not null");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX =", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexNotEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX <>", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexGreaterThan(Integer value) {
            addCriterion("DAY_BILLY_INDEX >", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexGreaterThanOrEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX >=", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexLessThan(Integer value) {
            addCriterion("DAY_BILLY_INDEX <", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexLessThanOrEqualTo(Integer value) {
            addCriterion("DAY_BILLY_INDEX <=", value, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexIn(List<Integer> values) {
            addCriterion("DAY_BILLY_INDEX in", values, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexNotIn(List<Integer> values) {
            addCriterion("DAY_BILLY_INDEX not in", values, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexBetween(Integer value1, Integer value2) {
            addCriterion("DAY_BILLY_INDEX between", value1, value2, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andDayBillyIndexNotBetween(Integer value1, Integer value2) {
            addCriterion("DAY_BILLY_INDEX not between", value1, value2, "dayBillyIndex");
            return (Criteria) this;
        }

        public Criteria andStkinNumIsNull() {
            addCriterion("STKIN_NUM is null");
            return (Criteria) this;
        }

        public Criteria andStkinNumIsNotNull() {
            addCriterion("STKIN_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andStkinNumEqualTo(Integer value) {
            addCriterion("STKIN_NUM =", value, "stkinNum");
            return (Criteria) this;
        }

        public Criteria andStkinNumNotEqualTo(Integer value) {
            addCriterion("STKIN_NUM <>", value, "stkinNum");
            return (Criteria) this;
        }

        public Criteria andStkinNumGreaterThan(Integer value) {
            addCriterion("STKIN_NUM >", value, "stkinNum");
            return (Criteria) this;
        }

        public Criteria andStkinNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("STKIN_NUM >=", value, "stkinNum");
            return (Criteria) this;
        }

        public Criteria andStkinNumLessThan(Integer value) {
            addCriterion("STKIN_NUM <", value, "stkinNum");
            return (Criteria) this;
        }

        public Criteria andStkinNumLessThanOrEqualTo(Integer value) {
            addCriterion("STKIN_NUM <=", value, "stkinNum");
            return (Criteria) this;
        }

        public Criteria andStkinNumIn(List<Integer> values) {
            addCriterion("STKIN_NUM in", values, "stkinNum");
            return (Criteria) this;
        }

        public Criteria andStkinNumNotIn(List<Integer> values) {
            addCriterion("STKIN_NUM not in", values, "stkinNum");
            return (Criteria) this;
        }

        public Criteria andStkinNumBetween(Integer value1, Integer value2) {
            addCriterion("STKIN_NUM between", value1, value2, "stkinNum");
            return (Criteria) this;
        }

        public Criteria andStkinNumNotBetween(Integer value1, Integer value2) {
            addCriterion("STKIN_NUM not between", value1, value2, "stkinNum");
            return (Criteria) this;
        }

        public Criteria andStkroomIdIsNull() {
            addCriterion("STKROOM_ID is null");
            return (Criteria) this;
        }

        public Criteria andStkroomIdIsNotNull() {
            addCriterion("STKROOM_ID is not null");
            return (Criteria) this;
        }

        public Criteria andStkroomIdEqualTo(String value) {
            addCriterion("STKROOM_ID =", value, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomIdNotEqualTo(String value) {
            addCriterion("STKROOM_ID <>", value, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomIdGreaterThan(String value) {
            addCriterion("STKROOM_ID >", value, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomIdGreaterThanOrEqualTo(String value) {
            addCriterion("STKROOM_ID >=", value, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomIdLessThan(String value) {
            addCriterion("STKROOM_ID <", value, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomIdLessThanOrEqualTo(String value) {
            addCriterion("STKROOM_ID <=", value, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomIdLike(String value) {
            addCriterion("STKROOM_ID like", value, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomIdNotLike(String value) {
            addCriterion("STKROOM_ID not like", value, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomIdIn(List<String> values) {
            addCriterion("STKROOM_ID in", values, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomIdNotIn(List<String> values) {
            addCriterion("STKROOM_ID not in", values, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomIdBetween(String value1, String value2) {
            addCriterion("STKROOM_ID between", value1, value2, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomIdNotBetween(String value1, String value2) {
            addCriterion("STKROOM_ID not between", value1, value2, "stkroomId");
            return (Criteria) this;
        }

        public Criteria andStkroomNameIsNull() {
            addCriterion("STKROOM_NAME is null");
            return (Criteria) this;
        }

        public Criteria andStkroomNameIsNotNull() {
            addCriterion("STKROOM_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andStkroomNameEqualTo(String value) {
            addCriterion("STKROOM_NAME =", value, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkroomNameNotEqualTo(String value) {
            addCriterion("STKROOM_NAME <>", value, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkroomNameGreaterThan(String value) {
            addCriterion("STKROOM_NAME >", value, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkroomNameGreaterThanOrEqualTo(String value) {
            addCriterion("STKROOM_NAME >=", value, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkroomNameLessThan(String value) {
            addCriterion("STKROOM_NAME <", value, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkroomNameLessThanOrEqualTo(String value) {
            addCriterion("STKROOM_NAME <=", value, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkroomNameLike(String value) {
            addCriterion("STKROOM_NAME like", value, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkroomNameNotLike(String value) {
            addCriterion("STKROOM_NAME not like", value, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkroomNameIn(List<String> values) {
            addCriterion("STKROOM_NAME in", values, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkroomNameNotIn(List<String> values) {
            addCriterion("STKROOM_NAME not in", values, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkroomNameBetween(String value1, String value2) {
            addCriterion("STKROOM_NAME between", value1, value2, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkroomNameNotBetween(String value1, String value2) {
            addCriterion("STKROOM_NAME not between", value1, value2, "stkroomName");
            return (Criteria) this;
        }

        public Criteria andStkinTimeIsNull() {
            addCriterion("STKIN_TIME is null");
            return (Criteria) this;
        }

        public Criteria andStkinTimeIsNotNull() {
            addCriterion("STKIN_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andStkinTimeEqualTo(Date value) {
            addCriterion("STKIN_TIME =", value, "stkinTime");
            return (Criteria) this;
        }

        public Criteria andStkinTimeNotEqualTo(Date value) {
            addCriterion("STKIN_TIME <>", value, "stkinTime");
            return (Criteria) this;
        }

        public Criteria andStkinTimeGreaterThan(Date value) {
            addCriterion("STKIN_TIME >", value, "stkinTime");
            return (Criteria) this;
        }

        public Criteria andStkinTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("STKIN_TIME >=", value, "stkinTime");
            return (Criteria) this;
        }

        public Criteria andStkinTimeLessThan(Date value) {
            addCriterion("STKIN_TIME <", value, "stkinTime");
            return (Criteria) this;
        }

        public Criteria andStkinTimeLessThanOrEqualTo(Date value) {
            addCriterion("STKIN_TIME <=", value, "stkinTime");
            return (Criteria) this;
        }

        public Criteria andStkinTimeIn(List<Date> values) {
            addCriterion("STKIN_TIME in", values, "stkinTime");
            return (Criteria) this;
        }

        public Criteria andStkinTimeNotIn(List<Date> values) {
            addCriterion("STKIN_TIME not in", values, "stkinTime");
            return (Criteria) this;
        }

        public Criteria andStkinTimeBetween(Date value1, Date value2) {
            addCriterion("STKIN_TIME between", value1, value2, "stkinTime");
            return (Criteria) this;
        }

        public Criteria andStkinTimeNotBetween(Date value1, Date value2) {
            addCriterion("STKIN_TIME not between", value1, value2, "stkinTime");
            return (Criteria) this;
        }

        public Criteria andStkinManIsNull() {
            addCriterion("STKIN_MAN is null");
            return (Criteria) this;
        }

        public Criteria andStkinManIsNotNull() {
            addCriterion("STKIN_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andStkinManEqualTo(String value) {
            addCriterion("STKIN_MAN =", value, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinManNotEqualTo(String value) {
            addCriterion("STKIN_MAN <>", value, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinManGreaterThan(String value) {
            addCriterion("STKIN_MAN >", value, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinManGreaterThanOrEqualTo(String value) {
            addCriterion("STKIN_MAN >=", value, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinManLessThan(String value) {
            addCriterion("STKIN_MAN <", value, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinManLessThanOrEqualTo(String value) {
            addCriterion("STKIN_MAN <=", value, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinManLike(String value) {
            addCriterion("STKIN_MAN like", value, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinManNotLike(String value) {
            addCriterion("STKIN_MAN not like", value, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinManIn(List<String> values) {
            addCriterion("STKIN_MAN in", values, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinManNotIn(List<String> values) {
            addCriterion("STKIN_MAN not in", values, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinManBetween(String value1, String value2) {
            addCriterion("STKIN_MAN between", value1, value2, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinManNotBetween(String value1, String value2) {
            addCriterion("STKIN_MAN not between", value1, value2, "stkinMan");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgIsNull() {
            addCriterion("STKIN_SIGN_IMG is null");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgIsNotNull() {
            addCriterion("STKIN_SIGN_IMG is not null");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgEqualTo(String value) {
            addCriterion("STKIN_SIGN_IMG =", value, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgNotEqualTo(String value) {
            addCriterion("STKIN_SIGN_IMG <>", value, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgGreaterThan(String value) {
            addCriterion("STKIN_SIGN_IMG >", value, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgGreaterThanOrEqualTo(String value) {
            addCriterion("STKIN_SIGN_IMG >=", value, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgLessThan(String value) {
            addCriterion("STKIN_SIGN_IMG <", value, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgLessThanOrEqualTo(String value) {
            addCriterion("STKIN_SIGN_IMG <=", value, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgLike(String value) {
            addCriterion("STKIN_SIGN_IMG like", value, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgNotLike(String value) {
            addCriterion("STKIN_SIGN_IMG not like", value, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgIn(List<String> values) {
            addCriterion("STKIN_SIGN_IMG in", values, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgNotIn(List<String> values) {
            addCriterion("STKIN_SIGN_IMG not in", values, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgBetween(String value1, String value2) {
            addCriterion("STKIN_SIGN_IMG between", value1, value2, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinSignImgNotBetween(String value1, String value2) {
            addCriterion("STKIN_SIGN_IMG not between", value1, value2, "stkinSignImg");
            return (Criteria) this;
        }

        public Criteria andStkinMemoIsNull() {
            addCriterion("STKIN_MEMO is null");
            return (Criteria) this;
        }

        public Criteria andStkinMemoIsNotNull() {
            addCriterion("STKIN_MEMO is not null");
            return (Criteria) this;
        }

        public Criteria andStkinMemoEqualTo(String value) {
            addCriterion("STKIN_MEMO =", value, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andStkinMemoNotEqualTo(String value) {
            addCriterion("STKIN_MEMO <>", value, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andStkinMemoGreaterThan(String value) {
            addCriterion("STKIN_MEMO >", value, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andStkinMemoGreaterThanOrEqualTo(String value) {
            addCriterion("STKIN_MEMO >=", value, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andStkinMemoLessThan(String value) {
            addCriterion("STKIN_MEMO <", value, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andStkinMemoLessThanOrEqualTo(String value) {
            addCriterion("STKIN_MEMO <=", value, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andStkinMemoLike(String value) {
            addCriterion("STKIN_MEMO like", value, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andStkinMemoNotLike(String value) {
            addCriterion("STKIN_MEMO not like", value, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andStkinMemoIn(List<String> values) {
            addCriterion("STKIN_MEMO in", values, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andStkinMemoNotIn(List<String> values) {
            addCriterion("STKIN_MEMO not in", values, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andStkinMemoBetween(String value1, String value2) {
            addCriterion("STKIN_MEMO between", value1, value2, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andStkinMemoNotBetween(String value1, String value2) {
            addCriterion("STKIN_MEMO not between", value1, value2, "stkinMemo");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagIsNull() {
            addCriterion("INVAILD_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagIsNotNull() {
            addCriterion("INVAILD_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagEqualTo(String value) {
            addCriterion("INVAILD_FLAG =", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotEqualTo(String value) {
            addCriterion("INVAILD_FLAG <>", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagGreaterThan(String value) {
            addCriterion("INVAILD_FLAG >", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagGreaterThanOrEqualTo(String value) {
            addCriterion("INVAILD_FLAG >=", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagLessThan(String value) {
            addCriterion("INVAILD_FLAG <", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagLessThanOrEqualTo(String value) {
            addCriterion("INVAILD_FLAG <=", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagLike(String value) {
            addCriterion("INVAILD_FLAG like", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotLike(String value) {
            addCriterion("INVAILD_FLAG not like", value, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagIn(List<String> values) {
            addCriterion("INVAILD_FLAG in", values, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotIn(List<String> values) {
            addCriterion("INVAILD_FLAG not in", values, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagBetween(String value1, String value2) {
            addCriterion("INVAILD_FLAG between", value1, value2, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvaildFlagNotBetween(String value1, String value2) {
            addCriterion("INVAILD_FLAG not between", value1, value2, "invaildFlag");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeIsNull() {
            addCriterion("INVALID_TIME is null");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeIsNotNull() {
            addCriterion("INVALID_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeEqualTo(Date value) {
            addCriterion("INVALID_TIME =", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeNotEqualTo(Date value) {
            addCriterion("INVALID_TIME <>", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeGreaterThan(Date value) {
            addCriterion("INVALID_TIME >", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("INVALID_TIME >=", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeLessThan(Date value) {
            addCriterion("INVALID_TIME <", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeLessThanOrEqualTo(Date value) {
            addCriterion("INVALID_TIME <=", value, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeIn(List<Date> values) {
            addCriterion("INVALID_TIME in", values, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeNotIn(List<Date> values) {
            addCriterion("INVALID_TIME not in", values, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeBetween(Date value1, Date value2) {
            addCriterion("INVALID_TIME between", value1, value2, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidTimeNotBetween(Date value1, Date value2) {
            addCriterion("INVALID_TIME not between", value1, value2, "invalidTime");
            return (Criteria) this;
        }

        public Criteria andInvalidManIsNull() {
            addCriterion("INVALID_MAN is null");
            return (Criteria) this;
        }

        public Criteria andInvalidManIsNotNull() {
            addCriterion("INVALID_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidManEqualTo(String value) {
            addCriterion("INVALID_MAN =", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotEqualTo(String value) {
            addCriterion("INVALID_MAN <>", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManGreaterThan(String value) {
            addCriterion("INVALID_MAN >", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManGreaterThanOrEqualTo(String value) {
            addCriterion("INVALID_MAN >=", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLessThan(String value) {
            addCriterion("INVALID_MAN <", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLessThanOrEqualTo(String value) {
            addCriterion("INVALID_MAN <=", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManLike(String value) {
            addCriterion("INVALID_MAN like", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotLike(String value) {
            addCriterion("INVALID_MAN not like", value, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManIn(List<String> values) {
            addCriterion("INVALID_MAN in", values, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotIn(List<String> values) {
            addCriterion("INVALID_MAN not in", values, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManBetween(String value1, String value2) {
            addCriterion("INVALID_MAN between", value1, value2, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidManNotBetween(String value1, String value2) {
            addCriterion("INVALID_MAN not between", value1, value2, "invalidMan");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIsNull() {
            addCriterion("INVALID_BECAUSE is null");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIsNotNull() {
            addCriterion("INVALID_BECAUSE is not null");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseEqualTo(String value) {
            addCriterion("INVALID_BECAUSE =", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotEqualTo(String value) {
            addCriterion("INVALID_BECAUSE <>", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseGreaterThan(String value) {
            addCriterion("INVALID_BECAUSE >", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseGreaterThanOrEqualTo(String value) {
            addCriterion("INVALID_BECAUSE >=", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLessThan(String value) {
            addCriterion("INVALID_BECAUSE <", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLessThanOrEqualTo(String value) {
            addCriterion("INVALID_BECAUSE <=", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseLike(String value) {
            addCriterion("INVALID_BECAUSE like", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotLike(String value) {
            addCriterion("INVALID_BECAUSE not like", value, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseIn(List<String> values) {
            addCriterion("INVALID_BECAUSE in", values, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotIn(List<String> values) {
            addCriterion("INVALID_BECAUSE not in", values, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseBetween(String value1, String value2) {
            addCriterion("INVALID_BECAUSE between", value1, value2, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andInvalidBecauseNotBetween(String value1, String value2) {
            addCriterion("INVALID_BECAUSE not between", value1, value2, "invalidBecause");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdIsNull() {
            addCriterion("TASK_BATCH_ID is null");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdIsNotNull() {
            addCriterion("TASK_BATCH_ID is not null");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdEqualTo(String value) {
            addCriterion("TASK_BATCH_ID =", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotEqualTo(String value) {
            addCriterion("TASK_BATCH_ID <>", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdGreaterThan(String value) {
            addCriterion("TASK_BATCH_ID >", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdGreaterThanOrEqualTo(String value) {
            addCriterion("TASK_BATCH_ID >=", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdLessThan(String value) {
            addCriterion("TASK_BATCH_ID <", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdLessThanOrEqualTo(String value) {
            addCriterion("TASK_BATCH_ID <=", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdLike(String value) {
            addCriterion("TASK_BATCH_ID like", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotLike(String value) {
            addCriterion("TASK_BATCH_ID not like", value, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdIn(List<String> values) {
            addCriterion("TASK_BATCH_ID in", values, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotIn(List<String> values) {
            addCriterion("TASK_BATCH_ID not in", values, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdBetween(String value1, String value2) {
            addCriterion("TASK_BATCH_ID between", value1, value2, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andTaskBatchIdNotBetween(String value1, String value2) {
            addCriterion("TASK_BATCH_ID not between", value1, value2, "taskBatchId");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagIsNull() {
            addCriterion("FINISHED_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagIsNotNull() {
            addCriterion("FINISHED_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagEqualTo(String value) {
            addCriterion("FINISHED_FLAG =", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagNotEqualTo(String value) {
            addCriterion("FINISHED_FLAG <>", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagGreaterThan(String value) {
            addCriterion("FINISHED_FLAG >", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagGreaterThanOrEqualTo(String value) {
            addCriterion("FINISHED_FLAG >=", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagLessThan(String value) {
            addCriterion("FINISHED_FLAG <", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagLessThanOrEqualTo(String value) {
            addCriterion("FINISHED_FLAG <=", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagLike(String value) {
            addCriterion("FINISHED_FLAG like", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagNotLike(String value) {
            addCriterion("FINISHED_FLAG not like", value, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagIn(List<String> values) {
            addCriterion("FINISHED_FLAG in", values, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagNotIn(List<String> values) {
            addCriterion("FINISHED_FLAG not in", values, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagBetween(String value1, String value2) {
            addCriterion("FINISHED_FLAG between", value1, value2, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedFlagNotBetween(String value1, String value2) {
            addCriterion("FINISHED_FLAG not between", value1, value2, "finishedFlag");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeIsNull() {
            addCriterion("FINISHED_TIME is null");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeIsNotNull() {
            addCriterion("FINISHED_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeEqualTo(Date value) {
            addCriterion("FINISHED_TIME =", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeNotEqualTo(Date value) {
            addCriterion("FINISHED_TIME <>", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeGreaterThan(Date value) {
            addCriterion("FINISHED_TIME >", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("FINISHED_TIME >=", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeLessThan(Date value) {
            addCriterion("FINISHED_TIME <", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeLessThanOrEqualTo(Date value) {
            addCriterion("FINISHED_TIME <=", value, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeIn(List<Date> values) {
            addCriterion("FINISHED_TIME in", values, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeNotIn(List<Date> values) {
            addCriterion("FINISHED_TIME not in", values, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeBetween(Date value1, Date value2) {
            addCriterion("FINISHED_TIME between", value1, value2, "finishedTime");
            return (Criteria) this;
        }

        public Criteria andFinishedTimeNotBetween(Date value1, Date value2) {
            addCriterion("FINISHED_TIME not between", value1, value2, "finishedTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}